libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
_CameraFileInfoPreview Struct Reference

File information of a preview file. More...

`#include <gphoto2-filesys.h>`

## Data Fields

CameraFileInfoFields | fields
| Bitmask containing the set members.
CameraFileStatus | status
| Status of the preview.
unsigned long | size
| Size of the preview.
char | type [64]
| MIME type of the preview.
unsigned int | width
| Width of the preview.
unsigned int | height
| Height of the preview.

## Detailed Description

File information of a preview file.

Contains information of a preview file with fields being set depending on the bitmask in the fields member.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-filesys.h